<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#3E80B4"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/update_notes_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:orientation="horizontal"
            android:paddingTop="0dp">

            <Button
                android:id="@+id/edit_notes_button"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:layout_margin="5dp"
                android:text="Edit"
                android:textColor="@android:color/black"
                android:textSize="10dp"
                android:textStyle="normal" />

            <Button
                android:id="@+id/close_notes_button"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:layout_margin="10dp"
                android:text="Close"
                android:textColor="@android:color/black"
                android:textSize="10dp"
                android:textStyle="normal" />
        </LinearLayout>

        <TextView
            android:id="@+id/notes_display_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_margin="10dp"
            android:text="Your Notes will be appeared here.."
            android:textColor="@android:color/white"
            android:textSize="15dp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/create_notes_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <EditText
            android:id="@+id/notes_edit_text_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="top|left"
            android:inputType="textMultiLine"
            android:lines="5"
            android:scrollHorizontally="false" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:orientation="horizontal">

            <Button
                android:id="@+id/save_notes_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp"
                android:text="Save"
                android:textColor="@android:color/black"
                android:textSize="10dp"
                android:textStyle="normal" />

            <Button
                android:id="@+id/cancel_notes_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="10dp"
                android:text="Cancel"
                android:textColor="@android:color/black"
                android:textSize="10dp"
                android:textStyle="normal" />
        </LinearLayout>

    </LinearLayout>

</FrameLayout>